OpenNMS API 1.2.9

## org.opennms.netmgt.eventd.db
Class SnmpInfo

    java.lang.Object
      org.opennms.netmgt.eventd.db.SnmpInfo

public final class SnmpInfo
extends java.lang.Object

This class is used to format the Snmp block into an appropiate string for storage in the event data storage.

Author:
  Brian Weaver , OpenNMS

Constructor Summary
`SnmpInfo()`

Method Summary
`static java.lang.String` `format(Snmp info, int maxlen)` Converts the SNMP iformation from the event into a string that can be stored into the database.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnmpInfo

    public SnmpInfo()

Method Detail

### format

    public static java.lang.String format(Snmp info,
                                          int maxlen)

  Converts the SNMP iformation from the event into a string that can be stored into the database. The information is formatted in by separating the of the textual fields with a delimiter character (a comma ',').

  If the enterprise id text information is not present then the string will have only two commas. An extra comma is not added to signify the missing field.

  Returns:
    The smnpblock as a string
  See Also:
    `Constants.DB_ATTRIB_DELIM`, `Constants.escape(java.lang.String, char)`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.